Skip to main content
GET
Transaction Status Query

Authorizations

Authorization
string
header
required

Payaza {{Public API Key in Base 64}}

X-TenantID
string
header
required

live or test

X-ProductID
string
header
required

default value is ‟app”

Query Parameters

transaction_reference
string
default:UDH012345
required

The unique identifier of the transaction

country_code
string
default:GH
required

The ISO Country Code. (ISO 3166-1 alpha-2) (GH-Ghana, TZ-Tanzania, UG - Uganda, KE-Kenya)

Response

Payment successful

response_code
string

API response code indicating the status (e.g., '00' for success, '09' for pending).

Example:

"00"

transaction_reference
string

Unique identifier for the transaction.

Example:

"UDH012345"

transaction_amount
number<double>

The amount processed in the transaction.

Example:

200.27

transaction_fee
number<double>

Fee charged for the transaction.

Example:

0

transaction_status
string

Current status of the transaction (e.g., 'Completed', 'Initialized').

Example:

"Completed"

payer_name
string | null

Name of the person making the payment.

Example:

"Robert Stones"

payer_account_number
string | null

Account number or identifier of the payer.

Example:

"233123456789"

start_date
string<date-time>

Timestamp when the transaction was initiated.

Example:

"2024-05-21T20:14:01.254748"

end_date
string<date-time> | null

Timestamp when the transaction was completed. Can be null if still pending.

Example:

"2024-05-21T20:14:29.889059"

currency
string

Currency code for the transaction.

Example:

"GHS"